## bash 5.1

=== lib/readline/doc/Makefile ===
# Derived by hand from the generated readline-src/doc/Makefile
# This makefile for Readline library documentation is in -*- text -*- mode.
# Emacs likes it that way.

#   Copyright (C) 1996-2002 Free Software Foundation, Inc.
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#


topdir = .
srcdir = .
VPATH = .

prefix = /usr/local
infodir = ${prefix}/info

mandir = ${prefix}/man
manpfx = man

man1ext = 1
man1dir = $(mandir)/$(manpfx)$(man1ext)
man3ext = 3
man3dir = $(mandir)/$(manpfx)$(man3ext)

SHELL = /bin/sh
RM = rm -f

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

BUILD_DIR = .
TEXINPUTDIR = $(srcdir)

MAKEINFO    = LANGUAGE= makeinfo
TEXI2DVI    = $(srcdir)/texi2dvi
TEXI2HTML   = $(srcdir)/texi2html
QUIETPS     = #set this to -q to shut up dvips
PSDPI       = 300	# I don't have any 600-dpi printers
DVIPS       = dvips -D ${PSDPI} $(QUIETPS) -o $@     # tricky

RLSRC = $(srcdir)/rlman.texi $(srcdir)/rluser.texi \
	$(srcdir)/rltech.texi $(srcdir)/version.texi \
	$(srcdir)/rluserman.texi
HISTSRC = $(srcdir)/history.texi $(srcdir)/hsuser.texi \
	  $(srcdir)/hstech.texi $(srcdir)/version.texi

# This should be a program that converts troff to an ascii-readable format
NROFF       = groff -Tascii

# This should be a program that converts troff to postscript
GROFF       = groff

DVIOBJ = readline.dvi history.dvi rluserman.dvi
INFOOBJ = readline.info history.info rluserman.info
PSOBJ = readline.ps history.ps rluserman.ps
HTMLOBJ = readline.html history.html rluserman.html

INTERMEDIATE_OBJ = rlman.dvi

CREATED_DOCS = $(DVIOBJ) $(INFOOBJ) $(PSOBJ) $(HTMLOBJ)

.SUFFIXES:      .ps .txt .dvi

all: info dvi html ps 
nodvi: info html

readline.dvi: $(RLSRC)
	TEXINPUTS=.:$(TEXINPUTDIR):$$TEXINPUTS $(TEXI2DVI) $(srcdir)/rlman.texi
	mv rlman.dvi readline.dvi

readline.info: $(RLSRC)
	$(MAKEINFO) --no-split -I $(TEXINPUTDIR) -o $@ $(srcdir)/rlman.texi

rluserman.dvi: $(RLSRC)
	TEXINPUTS=.:$(TEXINPUTDIR):$$TEXINPUTS $(TEXI2DVI) $(srcdir)/rluserman.texi

rluserman.info: $(RLSRC)
	$(MAKEINFO) --no-split -I $(TEXINPUTDIR) -o $@ $(srcdir)/rluserman.texi

history.dvi: ${HISTSRC}
	TEXINPUTS=.:$(TEXINPUTDIR):$$TEXINPUTS $(TEXI2DVI) $(srcdir)/history.texi

history.info: ${HISTSRC}
	$(MAKEINFO) --no-split -I $(TEXINPUTDIR) -o $@ $(srcdir)/history.texi

readline.ps:	readline.dvi
	$(RM) $@
	$(DVIPS) readline.dvi

rluserman.ps:	rluserman.dvi
	$(RM) $@
	$(DVIPS) rluserman.dvi

history.ps:	history.dvi
	$(RM) $@
	$(DVIPS) history.dvi

readline.html:	${RLSRC}
	$(TEXI2HTML) -menu -monolithic -I $(TEXINPUTDIR) $(srcdir)/rlman.texi
	sed -e 's:rlman.html:readline.html:' rlman.html > readline.html
	$(RM) rlman.html

rluserman.html:	${RLSRC}
	$(TEXI2HTML) -menu -monolithic -I $(TEXINPUTDIR) $(srcdir)/rluserman.texi

history.html:	${HISTSRC}
	$(TEXI2HTML) -menu -monolithic -I $(TEXINPUTDIR) $(srcdir)/history.texi

info:	$(INFOOBJ)
dvi:	$(DVIOBJ)
ps:	$(PSOBJ)
html:	$(HTMLOBJ)

clean:
	$(RM) *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr *.cps *.pgs \
	      *.fns *.kys *.tps *.vrs *.o core

distclean: clean
	$(RM) $(CREATED_DOCS)
	$(RM) $(INTERMEDIATE_OBJ)
	$(RM) Makefile

mostlyclean: clean

maintainer-clean: clean
	$(RM) $(CREATED_DOCS)
	$(RM) $(INTERMEDIATE_OBJ)
	$(RM) Makefile

install:
	@echo "This documentation should not be installed."

uninstall:

=== debian/changelog ===
bash (5.1-6ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jan 2022 17:23:33 +0100

bash (5.1-6) unstable; urgency=medium

  * Apply upstream patches 013 - 016.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 17:16:52 +0100

bash (5.1-5ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Nov 2021 16:05:08 +0100

bash (5.1-5) unstable; urgency=medium

  * Apply upstream patches 009 - 012.
  * Bump standards version.
  * Remove preinst since "dash-as-sh"-transition is done. Closes: #958083.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Nov 2021 09:37:10 +0100

bash (5.1-3.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * preinst: Remove obsolete upgrade path from pre-wheezy. Closes: #958083

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 23 Oct 2021 11:36:52 +0200

bash (5.1-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 May 2021 09:14:11 +0200

bash (5.1-3) unstable; urgency=medium

  * Apply upstream patches 005 - 008.

 -- Matthias Klose <doko@debian.org>  Mon, 10 May 2021 08:52:10 +0200

bash (5.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Mar 2021 17:02:58 +0100

bash (5.1-2) unstable; urgency=medium

  * Apply upstream patches 001 - 004.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 10:44:50 +0100

bash (5.1-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Dec 2020 08:13:35 +0100

bash (5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 08:03:28 +0100

bash (5.1~rc3-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Nov 2020 19:19:04 +0100

bash (5.1~rc3-1) unstable; urgency=medium

  * New upstream release candidate 3.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Nov 2020 16:24:54 +0100

bash (5.1~rc2-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 11:52:48 +0100

bash (5.1~rc2-1) unstable; urgency=medium

  * New upstream release candidate 2.
    - Fix locale related crash. Closes: #972672.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Nov 2020 18:01:32 +0100

bash (5.1~rc1-2) unstable; urgency=medium

  * Make the build reproducible. Closes: #935127.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 19:10:56 +0200

bash (5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate 1.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Oct 2020 17:47:40 +0200

bash (5.1~beta1-1) experimental; urgency=medium

  * New upstream snapshot 5.1 beta1.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 14:05:46 +0200

bash (5.1~alpha1-1) experimental; urgency=medium

  * New upstream snapshot 5.1 alpha1.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 19:24:57 +0200

bash (5.0-7) unstable; urgency=medium

  * Apply upstream patches 012 - 016.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 11:49:30 +0200



=== debian/control ===
Source: bash
Section: base
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Standards-Version: 4.6.0
Build-Depends: autoconf, autotools-dev, bison, libncurses5-dev,
 texinfo, texi2html, debhelper (>= 11), gettext, sharutils,
 locales <!nocheck>, time <!nocheck>,
 xz-utils, dpkg-dev (>= 1.16.1)
Build-Depends-Indep: texlive-latex-base, ghostscript, texlive-fonts-recommended, man2html-base
Build-Conflicts: r-base-core
Homepage: http://tiswww.case.edu/php/chet/bash/bashtop.html
Vcs-Browser: https://code.launchpad.net/~doko/+junk/pkg-bash-debian
Vcs-Bzr: http://bazaar.launchpad.net/~doko/+junk/pkg-bash-debian

Package: bash
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Depends}
Depends: base-files (>= 2.1.12), debianutils (>= 2.15)
Recommends: bash-completion (>= 20060301-0)
Conflicts: bash-completion (<< 20060301-0)
Replaces: bash-doc (<= 2.05-1), bash-completion (<< 20060301-0)
Suggests: bash-doc
Essential: yes
Section: shells
Priority: required
Description: GNU Bourne Again SHell
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 Bash is ultimately intended to be a conformant implementation of the
 IEEE POSIX Shell and Tools specification (IEEE Working Group 1003.2).
 .
 The Programmable Completion Code, by Ian Macdonald, is now found in
 the bash-completion package.

Package: bash-static
Architecture: any
Multi-Arch: foreign
Depends: passwd (>= 1:4.0.3-10), ${misc:Depends}
Suggests: bash-doc
Section: shells
Priority: optional
Built-Using: ${glibc:Source}
Description: GNU Bourne Again SHell (static version)
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 Statically linked.

Package: bash-builtins
Architecture: any
Depends: bash (= ${binary:Version}), ${misc:Depends}
Section: utils
Priority: optional
Description: Bash loadable builtins - headers & examples
 Bash can dynamically load new builtin commands.  Included are the
 necessary headers to compile your own builtins and lots of examples.

Package: bash-doc
Architecture: all
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Section: doc
Priority: optional
Replaces: bash (<< 4.3-2)
Description: Documentation and examples for the GNU Bourne Again SHell
 Bash is an sh-compatible command language interpreter that executes
 commands read from the standard input or from a file.  Bash also
 incorporates useful features from the Korn and C shells (ksh and csh).
 .
 This package contains the distributable documentation, all the
 examples and the main changelog.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES

# architecture dependent variables
vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
DPKG_VARS := $(shell dpkg-architecture)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_ARCH_OS	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

VERSION		:= 4.2
#PKGVERSION	:= $(shell dpkg-parsechangelog \
#			| sed -n '/Version:/s/\(.* \)\(.*\)-2\(.*\)/\2\3/p')
#PKGVERSION	:= 3.0
#dpkg_ctrl_args := -v$(PKGVERSION) -VBinary-Version=$(PKGVERSION)

with_gfdl	= yes

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC	= $(DEB_HOST_GNU_TYPE)-gcc
else
  CC	= gcc
endif

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP = :
else
  ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
    STRIP = $(DEB_HOST_GNU_TYPE)-strip
  else
    STRIP = strip
  endif
endif


dpkg_buildflags = DEB_CFLAGS_MAINT_APPEND="-Wall" dpkg-buildflags
CFLAGS := $(shell $(dpkg_buildflags) --get CFLAGS)
CPPFLAGS := $(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS := $(shell $(dpkg_buildflags) --get LDFLAGS)

SHELL	= /bin/bash
YACC	= bison -y

IX	= install -o 0 -g 0
ID	= install -o 0 -g 0 -m 644

# built with installed libreadline?
with_installed_rl = no

debflags =

p	= bash
p_stat	= bash-static
p_bins	= bash-builtins
p_doc	= bash-doc

d	= debian/$(p)
d_stat	= debian/$(p_stat)
d_bins	= debian/$(p_bins)
d_doc	= debian/$(p_doc)

termcap_lib := $(if $(wildcard /usr/lib/libtinfo.so /usr/lib/$(DEB_HOST_MULTIARCH)/libtinfo.so), \
		 -ltinfo, \
		 -lncurses)

conf_args = \
	--enable-largefile \
	--prefix=/usr \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man \
	--without-bash-malloc
ifeq ($(with_installed_rl),yes)
    conf_args += --with-installed-readline
endif
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    conf_args += --build $(DEB_HOST_GNU_TYPE)
else
    conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

static_conf_args := $(conf_args) \
	--enable-static-link \

#build: bash-build static-build check
build: before-build bash-build static-build check
build-arch: build
build-indep: build

before-build:
	dh_testdir
#	dh_update_autotools_config
	dh_autotools-dev_updateconfig
	mkdir -p stamps
	: # see #327477, needed to have HAVE_DEV_STDIN defined
	(test -d /dev/fd && test -r /dev/stdin < /dev/null) \
	  || (test -d /proc/self/fd && test -r /dev/stdin < /dev/null)
ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux freebsd))
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -o clear_console \
	    debian/clear_console.c $(termcap_lib)
endif

# ---------------------------------------------------------------------------
# build standard bash

bash-build:
	$(MAKE) -f debian/rules do-build-bash \
	    bash_src=. \
	    build=bash \
	    configure_args="$(conf_args)"
bash-configure:
	$(MAKE) -f debian/rules do-configure-bash \
	    bash_src=. \
	    build=bash \
	    configure_args="$(conf_args)"

# ---------------------------------------------------------------------------
# build static bash

static-build:
	$(MAKE) -f debian/rules do-build-static \
	    bash_src=. \
	    build=static \
	    configure_args="$(static_conf_args)"
static-configure:
	$(MAKE) -f debian/rules do-configure-static \
	    bash_src=. \
	    build=static \
	    configure_args="$(static_conf_args)"

# ---------------------------------------------------------------------------

bash-doc-build: stamps/stamp-build-bash-doc
stamps/stamp-build-bash-doc:
	rm -f bash/doc/bashref.info
	$(MAKE) -C build-bash/doc info html MAN2HTML=/usr/bin/man2html
	$(MAKE) -C build-bash/doc bash.pdf bashref.pdf
	touch stamps/stamp-build-bash-doc

# ---------------------------------------------------------------------------

check: stamps/stamp-check
stamps/stamp-check: bash-build
	@echo BEGIN test
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	-sh debian/locale-gen
	LOCPATH=$(CURDIR)/locales \
		time $(MAKE) -C build-bash test 2>&1 | tee build-bash/test-protocol
  endif
else
	@echo Suppress 'make' test, because this is cross build
endif
	@echo END test
	touch stamps/stamp-check

# ---------------------------------------------------------------------------

clean:
	dh_testdir
	dh_testroot
	rm -rf stamps build-*
	rm -f debian/README.Debian
	rm -rf locales
	rm -f clear_console
	dh_autotools-dev_restoreconfig
	dh_clean

# ---------------------------------------------------------------------------


install: bash-install

bash-install: bash-build stamps/stamp-install-bash
stamps/stamp-install-bash: before-build stamps/stamp-build-bash
	dh_testdir
	dh_testroot
	dh_prep -p$(p) -p$(p_doc) -p$(p_bins)
	dh_installdirs -p$(p) \
		bin \
		etc/skel \
		usr/share/doc/$(p)
	dh_installdirs -p$(p_doc) \
		usr/share/doc/$(p)
	dh_installdirs -p$(p_bins) \
		usr/share/doc/$(p)/examples/loadables

ifeq ($(with_gfdl),yes)
# XXXXX
#	cp -p build-bash/doc/*.info bash/doc/
endif

	: # install it
	$(MAKE) -C build-bash install \
		YACC="$(YACC)" \
		DESTDIR=$(CURDIR)/$(d)
	mv $(d)/usr/bin/bash $(d)/bin/.
	chmod 755 $(d)/usr/bin/bashbug
	$(ID) debian/bashbug.1 $(d)/usr/share/man/man1/
ifneq ($(with_gfdl),yes)
	mkdir -p $(d)/usr/share/man/man1
	cp -p bash/doc/bash.1 $(d)/usr/share/man/man1/bash.1
endif
	rm -f $(d)/usr/share/doc/bash/*.html
	rm -f $(d)/usr/share/info/*.info
	rm -f $(d)/usr/share/info/dir*

	: # extra links
	ln -sf bash $(d)/bin/rbash

	: # skeleton files
	$(ID) debian/etc.bash.bashrc $(d)/etc/bash.bashrc
	$(ID) debian/skel.bashrc $(d)/etc/skel/.bashrc
	$(ID) debian/skel.profile $(d)/etc/skel/.profile
	$(ID) debian/skel.bash_logout $(d)/etc/skel/.bash_logout

	: # clean_console
ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux freebsd))
	$(IX) clear_console $(d)/usr/bin/
	$(ID) debian/clear_console.1 $(d)/usr/share/man/man1/
endif

	: # files for the bash-doc package

	dh_installexamples -p$(p_doc) examples/*
	rm -rf $(d_doc)/usr/share/doc/$(p)/examples/loadables
	mkdir -p $(d_doc)/usr/share/doc/$(p_doc)
	ln -sf ../$(p)/examples $(d_doc)/usr/share/doc/$(p_doc)/examples

	rm -rf $(d_doc)/usr/share/doc/$(p)/examples/obashdb
	cd $(d_doc)/usr/share/doc/$(p)/examples && chmod 755 \
		misc/aliasconv.*sh misc/cshtobash

	cd $(d_doc)/usr/share/doc/$(p)/examples && chmod 644 \
		scripts/shprompt

	: # files for the bash-builtins package
	mv $(d)/usr/include $(d_bins)/usr/.
	mv $(d)/usr/lib $(d_bins)/usr/.
	$(ID) examples/loadables/{README,*.c} \
		$(d_bins)/usr/share/doc/$(p)/examples/loadables
	$(ID) build-bash/examples/loadables/Makefile \
		$(d_bins)/usr/share/doc/$(p)/examples/loadables
	ln -sf bash $(d_bins)/usr/share/doc/$(p_bins)

	sed -i \
		-e 's@-ffile-prefix-map=[^ ]*[ ]*@@g' \
		-e 's@-fdebug-prefix-map=[^ ]*[ ]*@@g' \
		-e 's@^BUILD_DIR =.*@BUILD_DIR = /path/to/build-dir@' \
		$(d)/usr/bin/bashbug \
		$(d_bins)/usr/lib/bash/Makefile.inc \
		$(d_bins)/usr/share/doc/$(p)/examples/loadables/Makefile

#	cat debian/README stamps/stamp-patch > debian/README.Debian
	cat debian/README > debian/README.Debian

	touch stamps/stamp-install-bash

binary-doc: bash-install bash-doc-build
	dh_testdir
	dh_testroot
	mkdir -p $(d_doc)/usr/share/doc/$(p)
ifeq ($(with_gfdl),yes)
	dh_installdocs -p$(p_doc) 
	cp -p build-bash/doc/bashref.{html,pdf} $(d_doc)/usr/share/doc/$(p)/.
	mkdir -p $(d_doc)/usr/share/info
	cp -p build-bash/doc/bash.info $(d_doc)/usr/share/info/.
	dh_link -p$(p_doc) \
	    /usr/share/doc/$(p)/bashref.html /usr/share/doc/$(p_doc)/bashref.html \
	    /usr/share/doc/$(p)/bashref.pdf /usr/share/doc/$(p_doc)/bashref.pdf
else
	dh_installdocs -p$(p_doc) -X.doc-base

## bash 5.1-6ubuntu1.1+11.0trisquel1

=== debian/changelog ===
bash (5.1-6ubuntu1.1+11.0trisquel1) aramo-security; urgency=medium

  * Extended explanation for sudo_root, gnu.org #835148

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 18 Mar 2024 15:43:41 +0000

bash (5.1-6ubuntu1.1) jammy-security; urgency=medium

  * SECURITY UPDATE: heap-buffer overflow in valid parameter_transform
    - debian/patches/CVE-2022-3715.patch: add extra check to subst.c.
    - CVE-2022-3715

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Mar 2024 07:31:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bash
 Section: base
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Standards-Version: 4.6.0
 Build-Depends: autoconf, autotools-dev, bison, libncurses5-dev,

## bash 5.2

=== debian/changelog ===
bash (5.2-1ubuntu2) kinetic; urgency=medium

  * debian/patches: Import two upstream patches to fix crashes:
      - Bash-5.2-patch-1-fix-crash-with-unset-arrays-in-arit.diff
      - Bash-5.2-patch-2-fix-crash-in-readline-when-started-.diff (LP:#1992206)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 07 Oct 2022 17:03:05 -0400

bash (5.2-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 09:52:11 +0200

bash (5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2022 16:50:07 +0200

bash (5.2~rc2-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 16:19:11 +0200

bash (5.2~rc2-2) unstable; urgency=medium

  * New upstream snapshot 5.2 rc2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Aug 2022 16:03:49 +0200

bash (5.2~rc1-1) experimental; urgency=medium

  * New upstream snapshot 5.2 rc1.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 14:35:02 +0200

bash (5.2~beta-1) experimental; urgency=medium

  * New upstream snapshot 5.2 beta1.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jun 2022 10:48:43 +0200

bash (5.1-6.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Replace add-shell/remove-shell with declarative shells.d trigger.
    Closes: #1004171

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 12 May 2022 17:05:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -227,6 +227,9 @@
 	$(ID) debian/clear_console.1 $(d)/usr/share/man/man1/
 endif
 
+	: # /etc/shells integration
+	$(ID) -D debian/shells.d/bash $(d)/usr/share/debianutils/shells.d/bash
+
 	: # files for the bash-doc package
 
 	dh_installexamples -p$(p_doc) examples/*
@@ -274,6 +277,3 @@
 	cp -p build-bash/doc/bash.info $(d_doc)/usr/share/info/.
 	dh_link -p$(p_doc) \
 	    /usr/share/doc/$(p)/bashref.html /usr/share/doc/$(p_doc)/bashref.html \
-	    /usr/share/doc/$(p)/bashref.pdf /usr/share/doc/$(p_doc)/bashref.pdf
-else
-	dh_installdocs -p$(p_doc) -X.doc-base

## bash 5.2.15

=== lib/readline/doc/Makefile ===
--- 
+++ 
@@ -17,7 +17,6 @@
 #   You should have received a copy of the GNU General Public License
 #   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-
 
 topdir = .
 srcdir = .
@@ -49,6 +48,8 @@
 QUIETPS     = #set this to -q to shut up dvips
 PSDPI       = 300	# I don't have any 600-dpi printers
 DVIPS       = dvips -D ${PSDPI} $(QUIETPS) -o $@     # tricky
+DVIPDF      = dvipdfm -o $@ -p ${PAPERSIZE}
+PSPDF       = gs -sPAPERSIZE=${PAPERSIZE} -sDEVICE=pdfwrite -dNOPAUSE -dBATCH -sOutputFile=$@
 
 RLSRC = $(srcdir)/rlman.texi $(srcdir)/rluser.texi \
 	$(srcdir)/rltech.texi $(srcdir)/version.texi \
@@ -66,15 +67,25 @@
 INFOOBJ = readline.info history.info rluserman.info
 PSOBJ = readline.ps history.ps rluserman.ps
 HTMLOBJ = readline.html history.html rluserman.html
+PDFOBJ = readline.pdf history.pdf rluserman.pdf
 
 INTERMEDIATE_OBJ = rlman.dvi
 
-CREATED_DOCS = $(DVIOBJ) $(INFOOBJ) $(PSOBJ) $(HTMLOBJ)
+CREATED_DOCS = $(DVIOBJ) $(INFOOBJ) $(PSOBJ) $(HTMLOBJ) $(PDFOBJ)
 
-.SUFFIXES:      .ps .txt .dvi
+.SUFFIXES:      .ps .txt .dvi .html .pdf
 
-all: info dvi html ps 
+.ps.pdf:
+	$(RM) $@
+	-${PSPDF} $<
+
+.dvi.pdf:
+	$(RM) $@
+	-${DVIPDF} $<
+
+all: info dvi html ps
 nodvi: info html
+pdf: $(PDFOBJ)
 
 readline.dvi: $(RLSRC)
 	TEXINPUTS=.:$(TEXINPUTDIR):$$TEXINPUTS $(TEXI2DVI) $(srcdir)/rlman.texi
@@ -123,14 +134,17 @@
 ps:	$(PSOBJ)
 html:	$(HTMLOBJ)
 
+readline.pdf:   readline.dvi
+history.pdf:    history.dvi
+rluserman.pdf:  rluserman.dvi
+
 clean:
 	$(RM) *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr *.cps *.pgs \
-	      *.fns *.kys *.tps *.vrs *.o core
+	      *.fns *.kys *.tps *.vrs *.bt *.bts *.o core *.core
 
 distclean: clean
 	$(RM) $(CREATED_DOCS)
 	$(RM) $(INTERMEDIATE_OBJ)
-	$(RM) Makefile
 
 mostlyclean: clean

=== debian/changelog ===
bash (5.2.15-2ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Jan 2023 08:34:42 +0100

bash (5.2.15-2) unstable; urgency=medium

  * Remove one more pdf file without source. Closes: #1024598.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2023 13:06:21 +0100

bash (5.2.15-1) unstable; urgency=medium

  * New patch release.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 16:40:30 +0100

bash (5.2-3) unstable; urgency=medium

  * Apply upstream patches 003 - 015.
  * Repack to get rid of non-source PDF (Bastian Germann). Closes: #1024598.
  * d/watch: Update to v4 and add repack options.
  * d/copyright: Convert to machine-readable format, adding missing info.
    Closes: #1024602.
  * Enable all hardening flags (Christian Göttsche). Closes: #1021082.
  * Fix build on musl (Helmut Grohne). Closes: #1023053.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 11:32:01 +0100

bash (5.2-2) unstable; urgency=medium

  * Apply upstream patches 001 - 002.
    - Expanding unset arrays in an arithmetic context can cause a
      segmentation fault.
    - Starting bash with an invalid locale specification for
      LC_ALL/LANG/LC_CTYPE can cause the shell to crash. Closes: #1021062.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Oct 2022 10:34:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: bash
 Section: base
 Priority: required
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: autoconf, autotools-dev, bison, libncurses5-dev,
  texinfo, texi2html, debhelper (>= 11), gettext, sharutils,
  locales <!nocheck>, time <!nocheck>,
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Depends}
-Depends: base-files (>= 2.1.12), debianutils (>= 2.15)
+Depends: base-files (>= 2.1.12), debianutils (>= 5.6-0.1)
 Recommends: bash-completion (>= 20060301-0)
 Conflicts: bash-completion (<< 20060301-0)
 Replaces: bash-doc (<= 2.05-1), bash-completion (<< 20060301-0)
@@ -40,7 +40,7 @@
 Package: bash-static
 Architecture: any
 Multi-Arch: foreign
-Depends: passwd (>= 1:4.0.3-10), ${misc:Depends}
+Depends: passwd (>= 1:4.0.3-10), debianutils (>= 5.6-0.1), ${misc:Depends}
 Suggests: bash-doc
 Section: shells
 Priority: optional

## bash 5.2.21

=== debian/changelog ===
bash (5.2.21-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:41:03 +0000

bash (5.2.21-2ubuntu3) noble; urgency=medium

  * Rebuild to pick up the t64 ABIs from glibc (LP: #2059078)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 26 Mar 2024 18:18:11 +0100

bash (5.2.21-2ubuntu2) noble; urgency=medium

  * DEP17: Move files to /usr

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 11:31:00 +0100

bash (5.2.21-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 09:46:25 +0100

bash (5.2.21-2) unstable; urgency=medium

  * Fix crash in rl_do_undo, taken from upstream. See #1056314, #1037274.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 09:09:52 +0100

bash (5.2.21-1) unstable; urgency=medium

  * New patch release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 11:43:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: required
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: autoconf, autotools-dev, bison, libncurses5-dev,
  texinfo, texi2html, debhelper (>= 11), gettext, sharutils,
  locales <!nocheck>, time <!nocheck>,
- xz-utils, dpkg-dev (>= 1.16.1)
+ xz-utils,
 Build-Depends-Indep: texlive-latex-base, ghostscript, texlive-fonts-recommended, man2html-base
 Build-Conflicts: r-base-core
 Homepage: http://tiswww.case.edu/php/chet/bash/bashtop.html
@@ -19,9 +19,7 @@
 Multi-Arch: foreign
 Pre-Depends: ${shlibs:Pre-Depends}, ${misc:Depends}
 Depends: base-files (>= 2.1.12), debianutils (>= 5.6-0.1)
-Recommends: bash-completion (>= 20060301-0)
-Conflicts: bash-completion (<< 20060301-0)
-Replaces: bash-doc (<= 2.05-1), bash-completion (<< 20060301-0)
+Recommends: bash-completion
 Suggests: bash-doc
 Essential: yes
 Section: shells
@@ -63,7 +61,7 @@
 
 Package: bash-doc
 Architecture: all
-Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: ${misc:Depends}
 Section: doc
 Priority: optional
 Replaces: bash (<< 4.3-2)

=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,12 @@
 endif
 
 
-dpkg_buildflags = DEB_CFLAGS_MAINT_APPEND="-Wall" dpkg-buildflags
+dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" DEB_CFLAGS_MAINT_APPEND="-Wall" dpkg-buildflags
 CFLAGS := $(shell $(dpkg_buildflags) --get CFLAGS)
 CPPFLAGS := $(shell $(dpkg_buildflags) --get CPPFLAGS)
 LDFLAGS := $(shell $(dpkg_buildflags) --get LDFLAGS)
 
-SHELL	= /bin/bash
+SHELL	= /usr/bin/bash
 YACC	= bison -y
 
 IX	= install -o 0 -g 0
@@ -184,7 +184,7 @@
 	dh_testroot
 	dh_prep -p$(p) -p$(p_doc) -p$(p_bins)
 	dh_installdirs -p$(p) \
-		bin \
+		usr/bin \
 		etc/skel \
 		usr/share/doc/$(p)
 	dh_installdirs -p$(p_doc) \
@@ -201,7 +201,6 @@
 	$(MAKE) -C build-bash install \
 		YACC="$(YACC)" \
 		DESTDIR=$(CURDIR)/$(d)
-	mv $(d)/usr/bin/bash $(d)/bin/.
 	chmod 755 $(d)/usr/bin/bashbug
 	$(ID) debian/bashbug.1 $(d)/usr/share/man/man1/
 ifneq ($(with_gfdl),yes)
@@ -213,7 +212,7 @@
 	rm -f $(d)/usr/share/info/dir*
 
 	: # extra links
-	ln -sf bash $(d)/bin/rbash
+	ln -sf bash $(d)/usr/bin/rbash
 
 	: # skeleton files
 	$(ID) debian/etc.bash.bashrc $(d)/etc/bash.bashrc

## bash 5.2.32

=== debian/changelog ===
bash (5.2.32-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Aug 2024 10:58:31 +0200

bash (5.2.32-1) unstable; urgency=medium

  * New patch release.
    - Remove duplicate definition of strtoimax. Closes: #1023053.
  * /etc/bash.bashrc Don't dereference undefined variables, breaking
    when run with -u. Closes: #941248, #1034658, #1064645.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 09:47:46 +0200

bash (5.2.21-2.1ubuntu1) oracular; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Jun 2024 10:30:03 -0500

bash (5.2.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files to /usr for DEP17. Closes: #1064888.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 05 Jun 2024 17:19:12 +0200

bash (5.2.21-2ubuntu5) oracular; urgency=medium

  * Correct the bash(1) man-page to note that --rcfile does not prevent the
    execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 16 Apr 2024 21:44:44 +0100

## bash 5.2.37

=== debian/changelog ===
bash (5.2.37-1.1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 20:35:44 -0600

bash (5.2.37-1.1) unstable; urgency=medium

  * NMU
  * Fix FTBFS (Closes: #1092374)
    - d/rules: Remove pre-built docs to ensure they are regenerated.
      Without this, the `-b` build would fail but `-B` / `-A` would
      somehow succed.
    - Import packaging changes from 5.3~beta1-1 to make the build
      more robust. This also includes a `Rules-Requires-Root`,
      which is part of fixing this FTBFS.

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 09:57:09 +0000

bash (5.2.37-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.
  * Dropped changes:
    - Add configure-strtold-check.patch (LP: #2083131)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Dec 2024 14:06:27 -0600

bash (5.2.37-1) unstable; urgency=medium

  * New patch release.
    - A typo in the autoconf test for strtold causes false negatives for
      strtold being available and working when compiled with gcc-14.
    - If we parse a compound assignment during an alias expansion, it's
      possible to have the current input string popped out from underneath
      the parse. In this case, we should not restore the input we were using
      when we began to parse the compound assignment.
    - Handle systems that supply one of select or pselect, but not both.
    - When readline is accumulating bytes until it reads a complete multibyte
      character, reading a byte that makes the multibyte character invalid can
      result in discarding the bytes in the partial character.
    - Fix the case where text to be completed from the line buffer (quoted) is
      compared to the common prefix of the possible matches (unquoted) and the
      quoting makes the former appear to be longer than the latter. Readline
      assumes the match doesn't add any characters to the word and doesn't
      display multiple matches.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Oct 2024 08:23:04 +0200

bash (5.2.32-1ubuntu2) plucky; urgency=medium

  * Add configure-strtold-check.patch (LP: #2083131)

 -- Agathe Porte <agathe.porte@canonical.com>  Sat, 26 Oct 2024 13:07:59 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Homepage: http://tiswww.case.edu/php/chet/bash/bashtop.html
 Vcs-Browser: https://code.launchpad.net/~doko/+junk/pkg-bash-debian
 Vcs-Bzr: http://bazaar.launchpad.net/~doko/+junk/pkg-bash-debian
+Rules-Requires-Root: binary-targets
 
 Package: bash
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -90,11 +90,11 @@
 	--enable-static-link \
 
 #build: bash-build static-build check
-build: before-build bash-build static-build check
+build: stamps/before-build bash-build static-build check
 build-arch: build
 build-indep: build
 
-before-build:
+stamps/before-build:
 	dh_testdir
 #	dh_update_autotools_config
 	dh_autotools-dev_updateconfig
@@ -106,6 +106,7 @@
 	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -o clear_console \
 	    debian/clear_console.c $(termcap_lib)
 endif
+	touch $@
 
 # ---------------------------------------------------------------------------
 # build standard bash
@@ -115,7 +116,7 @@
 	    bash_src=. \
 	    build=bash \
 	    configure_args="$(conf_args)"
-bash-configure:
+bash-configure: stamps/before-build
 	$(MAKE) -f debian/rules do-configure-bash \
 	    bash_src=. \
 	    build=bash \
@@ -129,7 +130,7 @@
 	    bash_src=. \
 	    build=static \
 	    configure_args="$(static_conf_args)"
-static-configure:
+static-configure: stamps/before-build
 	$(MAKE) -f debian/rules do-configure-static \
 	    bash_src=. \
 	    build=static \
@@ -139,7 +140,7 @@
 
 bash-doc-build: stamps/stamp-build-bash-doc
 stamps/stamp-build-bash-doc:
-	rm -f bash/doc/bashref.info
+	rm -fr doc/bash.info doc/bash.pdf doc/bash.html doc/bashref.info doc/bashref.pdf doc/bashref.html
 	$(MAKE) -C build-bash/doc info html MAN2HTML=/usr/bin/man2html
 	$(MAKE) -C build-bash/doc bash.pdf bashref.pdf
 	touch stamps/stamp-build-bash-doc
@@ -170,6 +171,7 @@
 	rm -f debian/README.Debian
 	rm -rf locales
 	rm -f clear_console
+	rm -fr doc/bash.info doc/bash.pdf doc/bash.html doc/bashref.info doc/bashref.pdf doc/bashref.html
 	dh_autotools-dev_restoreconfig
 	dh_clean
 
@@ -179,7 +181,7 @@
 install: bash-install
 
 bash-install: bash-build stamps/stamp-install-bash
-stamps/stamp-install-bash: before-build stamps/stamp-build-bash
+stamps/stamp-install-bash: stamps/before-build stamps/stamp-build-bash
 	dh_testdir
 	dh_testroot
 	dh_prep -p$(p) -p$(p_doc) -p$(p_bins)
@@ -271,8 +273,3 @@
 	mkdir -p $(d_doc)/usr/share/doc/$(p)
 ifeq ($(with_gfdl),yes)
 	dh_installdocs -p$(p_doc) 
-	cp -p build-bash/doc/bashref.{html,pdf} $(d_doc)/usr/share/doc/$(p)/.
-	mkdir -p $(d_doc)/usr/share/info
-	cp -p build-bash/doc/bash.info $(d_doc)/usr/share/info/.
-	dh_link -p$(p_doc) \
-	    /usr/share/doc/$(p)/bashref.html /usr/share/doc/$(p_doc)/bashref.html \

## bash 5.3~rc2

=== debian/changelog ===
bash (5.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate 5.3 rc2.
  * /etc/bashrc: Add support to source /etc/profile.d. This is
    commented out by default.  Users should explicity enable that if
    wanted.  Addresses: #675008.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jun 2025 18:29:42 +0200

bash (5.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate 5.3 rc1.
  * Remove VCS attributes.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 10:39:39 +0200

bash (5.3~beta1-1) experimental; urgency=medium

  * New upstream snapshot 5.3 beta.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jan 2025 14:00:26 +0100

bash (5.3~alpha1-1) experimental; urgency=medium

  * New upstream snapshot 5.3 alpha.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 11:58:50 +0200
